%define upstream_name    WebService-Solr
%define upstream_version 0.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module to interface with the Solr (Lucene) webservice
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Page)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Mock::LWP) >= 0.50.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Types::Standard) >= 0.8.0
BuildRequires: perl(URI) >= 1.280.0
BuildRequires: perl(XML::Easy)
BuildRequires: perl(XML::Simple)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
WebService::Solr is a client library for Apache Lucene's Solr; an
enterprise-grade indexing and searching platform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.440.0-2.mga8
+ Revision: 1543037
- Mageia 8 Mass Rebuild

* Sat Jan 11 2020 tv <tv> 0.440.0-1.mga8
+ Revision: 1477620
- update to 0.44

* Thu Sep 20 2018 umeabot <umeabot> 0.420.0-3.mga7
+ Revision: 1287292
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.420.0-2.mga7
+ Revision: 1167323
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.420.0-1.mga7
+ Revision: 1157406
- new version 0.42

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-5.mga6
+ Revision: 1035697
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.230.0-4.mga6
+ Revision: 939100
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 744942
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.230.0-1.mga5
+ Revision: 596407
- update to 0.23

* Sat Oct 19 2013 umeabot <umeabot> 0.220.0-2.mga4
+ Revision: 527414
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.220.0-1.mga4
+ Revision: 440080
- update to 0.22
- update to 0.21
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 255582
- update to 0.19

* Fri Oct 14 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 154901
- update to 0.16
- update to 0.15

* Fri Jun 17 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 109113
- update to 0.14

* Wed Apr 13 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 84238
- update to 0.12

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 36649
- mageia rebuild
- imported package perl-WebService-Solr


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.110.0-2mdv2011.0
+ Revision: 624957
- Add explicit dependencies
- import perl-WebService-Solr

